package com.atlassian.confluence.extra.auditer;

import com.atlassian.confluence.ConfluenceTestCase;
import org.apache.log4j.Logger;

public class TestAuditListener extends ConfluenceTestCase
{
    AuditListener auditListener;

    public void setUp() throws Exception
    {
        super.setUp();

        auditListener = new AuditListener();
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testHandledClasses()
    {
        Class[] handledClasses = auditListener.getHandledEventClasses();

        assertEquals(1, handledClasses.length);
    }
}
